Name:		epic5
Version:	2.0.1
Release:	%mkrel 1
Epoch:		0
Summary:	(E)nhanced (P)rogrammable (I)RC-II (C)lient
Group:		Networking/IRC
License:	BSD
URL:		http://www.epicsol.org/
Source0:	http://ftp.epicsol.org/pub/epic/EPIC5-PRODUCTION/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.epicsol.org/pub/epic/help/epic4_help-1.tar.gz
# Amnesiac 2.0.2 release updated on Jul 26 2010 @ 20:09
Source2:	http://amnesiac.ircii.org/amnesiac2.0.2cvs51.tgz
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ruby)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	perl-devel

%description
EPIC is an irc client project. The EPIC software was forked from
ircII-2.8.2 in fall 1994. There have been 5 generations of EPIC.

EPIC's development model is to provide tools to scripters rather than
features to end users. Out of the box, EPIC behaves much the same way
ircII-2.8.2 did in 1994. To truly leverage EPIC, you will need a
script pack. This %{_vendor} package includes the Amnesia script pack,
see http://amnesiac.ircii.org/

%prep 
%setup -q -a 1 -T -b 0

find . -type d -name CVS | %{_bindir}/xargs -t %{__rm} -r
perl -pi -e 's|/usr/local/bin/perl5|%{__perl}|' regress/crash-irc

# silence rpmlint and convert to utf8
iconv -f iso8859-1 -t utf-8 WISHLIST > WISHLIST.conv && mv -f WISHLIST.conv WISHLIST
iconv -f iso8859-1 -t utf-8 COPYRIGHT > COPYRIGHT.conv && mv -f COPYRIGHT.conv COPYRIGHT
iconv -f iso8859-1 -t utf-8 UPDATES > UPDATES.conv && mv -f UPDATES.conv UPDATES
iconv -f iso8859-1 -t utf-8 regress/stat > regress/stat.conv && mv -f regress/stat.conv regress/stat

%build
autoreconf -vfi
%configure2_5x \
		--with-ipv6 \
		--with-perl \
		--with-ruby \
		--with-ssl \
		--without-socks \
		--with-tcl=%{_libdir}/tclConfig.sh
%make_build

%install
%make_install installhelp libexecdir=%{_bindir} sharedir=%{_datadir}

tar -xf %{SOURCE2} -C %{buildroot}%{_datadir}/%{name}/script

# FIXME for correct assignment of rights of all script files
chmod 0755 %{buildroot}%{_datadir}/%{name}/script/epic-crypt-gpg{,-aa}
chmod 0755 %{buildroot}%{_datadir}/%{name}/script/alloc_dump_summary.sh

%files
%doc BUG_FORM COPYRIGHT FILES WISHLIST KNOWNBUGS README
%doc README-CRYPTO UPDATES doc/* contrib regress
%{_bindir}/%{name}
%{_bindir}/%{name}-%{version}
%{_datadir}/%{name}/
%{_bindir}/%{name}-wserv4
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Feb 01 2017 daviddavid <daviddavid> 0:2.0.1-1.mga6
+ Revision: 1084524
- new version: 2.0.1
- make sure that tcl are properly detected

* Wed Mar 02 2016 umeabot <umeabot> 0:1.4-4.mga6
+ Revision: 983391
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 0:1.4-3.mga6
+ Revision: 953853
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0:1.4-2.mga6
+ Revision: 885909
- Rebuild for tcl 8.6.4

* Sat Sep 19 2015 daviddavid <daviddavid> 0:1.4-1.mga6
+ Revision: 881297
- new version: 1.4

* Tue Jul 28 2015 daviddavid <daviddavid> 0:1.1.11-1.mga6
+ Revision: 858441
- new version: 1.1.11
- fix file-not-utf8 warning
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1.9-3.mga5
+ Revision: 742010
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.1.9-2.mga5
+ Revision: 679020
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 daviddavid <daviddavid> 0:1.1.9-1.mga5
+ Revision: 666214
- use %%makeinstall_std macro
- switch BRs to pkgconfig
- fix for correct assignment of rights of some script files
- new version of help data (20140729)
- new version: 1.1.9

* Sat Oct 19 2013 umeabot <umeabot> 0:1.1.6-3.mga4
+ Revision: 535994
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0:1.1.6-2.mga4
+ Revision: 482944
- rebuild for ruby 2.0

* Fri Aug 02 2013 sander85 <sander85> 0:1.1.6-1.mga4
+ Revision: 462707
- New version: 1.1.6

* Fri Jun 28 2013 fwang <fwang> 0:1.1.5-3.mga4
+ Revision: 447766
- rebuild for new libarchive

* Fri Jan 11 2013 umeabot <umeabot> 0:1.1.5-2.mga3
+ Revision: 349703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0:1.1.5-1.mga3
+ Revision: 339803
- 1.1.5

* Wed Jan 04 2012 fwang <fwang> 0:1.1.2-4.mga2
+ Revision: 190640
- rebuild for new libarchive

* Sun Jul 03 2011 fwang <fwang> 0:1.1.2-3.mga2
+ Revision: 117541
- rebuild for tcl

* Sat May 21 2011 ahmad <ahmad> 0:1.1.2-2.mga1
+ Revision: 100006
- Replace a reference to Mandriva with Mageia

* Thu Apr 21 2011 cjw <cjw> 0:1.1.2-1.mga1
+ Revision: 89427
- imported package epic5

